# MatFDColoringSetRecompute

Indicates that the next time a Jacobian preconditioner is needed it sholuld be recomputed. Once this is called and the new Jacobian is computed no additional Jacobian's will be computed (the same one will be used) until this is called again.

### Synopsis

    #include "petscmat.h"
    #include "petscda.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatFDColoringSetRecompute(MatFDColoring c)

Collective on MatFDColoring

### Input Parameters

c -the coloring context

Notes: The MatFDColoringSetFrequency() is ignored once this is called

### See Also

MatFDColoringCreate(), MatFDColoringSetFrequency()

### Keywords

Mat, finite differences, coloring

Level:intermediate
Location: src/mat/matfd/fdmatrix.c
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages